org.codehaus.groovy.vmplugin.v6

## Class Java6

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v5.Java5
  - - org.codehaus.groovy.vmplugin.v6.Java6

- All Implemented Interfaces:
    VMPlugin

      public class Java6
      extends Java5

  Java 6 based functions. M12n moved these to modules.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java6()`

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.groovy.vmplugin.v5.Java5

      `configureAnnotation, configureClassNode, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, invalidateCallSites, setAdditionalClassInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java6

          public Java6()